• [CHRISTMAS SALE] • AutoModDisable • 1.8X • 5.99

Status
This thread has been locked.

ClockPvP

Banned
Feedback score
3
Posts
289
Reactions
54
Resources
0
Forge client side control is out! You can now configure if you want to tell the server you are using Forge or not. Check the bottom for details to config.
Liteloader user? Also check the bottom.


IF INTERESTED IN BUYING, PLEASE PM ME! - 5.99


Mod Bypasser is a Forge "hack" that aims to prevent servers from detecting or disabling mods.

Such plugins include: eZProtector, AntiWDL, ClientControl.

It is currently disguised as a sprint mod for safety reasons.

This mod currently disables the ability to disable:
-BetterPvP/Xaeros Minimap
-VoxelMap
-Rei's Minimap
-Smart Moving
-WorldDownloader (LiteLoader version only, see note below for making the mod work with LiteLoader.)
-Damage Indicators
-Schematica
-BetterSprinting
-5zig

If there is another mod that is not on the list that uses a permissions system, message me with the method used by the mod!

FOR USERS USING LITELOADER:
When you are launching the mod with LiteLoader for the first time, it is important to check latest.log in the logs folder to make sure the mod succeeded (for Forge it is unnecessary to check). There is a high chance that it will work, but if it doesn't, message me and I will work on resolving the issue.

If the mod has failed, you should be able to see an error in the log that contains this line:
Unsupported mixin class version 52. Mixin requires compatibility level JAVA_8 or above.
(It must also have mixins.simplesprint.json somewhere in the error)

CONFIGURATION DETAILS:
First, if you have not done so, run the mod once. This will create a new config file at %mcdir%/config/simplesprint.cfg.
Here is the guide (it is currently using default config):
//If true, the mod will tell the server that it is using vanilla and act vanilla. Note that this will automatically break all servers that need you to be using a modded client. (e.g. Forge)
vanilla:false
//The mode for modlist spoofing. Note that if vanilla is true, nothing is sent no matter what you put here.
//Modes
//0 - (Default) Changes nothing.
//1 - Whitelist mode - Only mods listed in the config and installed will be sent.
//2 - Blacklist mode - Mods listed in the config will not be sent, but everything else installed will be sent.
//3 - Overwrite mode - Returns all the mods in the config. This is the only time the version ID specified next to the mod will be required.
mode:0
//All the modids with the version next to it, in this format: modid#version
//If no version is specified, the default is 1.0. What it does will depend on the mode above.
//Note that mcp, FML, and Forge come by default when you install Forge, so it is not possible to block these mods.
//Example config: NEI#1.1,Minimap#1.0
mods:

EXAMPLE CONFIGURATIONS:
(In all examples, the mods loaded are minimap 2.0, xray 1.0, and
testmod 0.9. Note that this is their mod ID and not their actual name.)
//Bypasses any type of AntiForge; no mods are sent
#Visit the mod website for more details on configuring this
vanilla:true
mode:0
mods:
//Sends only testmod 0.9.
#Visit the mod website for more details on configuring this
vanilla:false
mode:1
mods:testmod#0.9
//Sends everything but xray 1.0.
#Visit the mod website for more details on configuring this
vanilla:false
mode:2
mods:xray#1.0
//Sends OpenComputers 1.0.
#Visit the mod website for more details on configuring this
vanilla:false
mode:3
mods:eek:penComputers#1.0
 
Last edited:
Status
This thread has been locked.
Top